### Method

# Gtk CellArea foreach_alloc

#### Declaration [src]

    void
    gtk_cell_area_foreach_alloc (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      const GdkRectangle* cell_area,
      const GdkRectangle* background_area,
      GtkCellAllocCallback callback,
      gpointer callback_data
    )

#### Description [src]

Calls `callback` for every `GtkCellRenderer` in `area` with the allocated rectangle inside `cell_area`.

#### Parameters

`context` | `GtkCellAreaContext`
| The `GtkCellArea`Context for this row of data.
| The data is owned by the caller of the function.
`widget` | `GtkWidget`
| The `GtkWidget` that `area` is rendering to.
| The data is owned by the caller of the function.
`cell_area` | `const GdkRectangle*`
| The `widget` relative coordinates and size for `area`.
| The data is owned by the caller of the function.
`background_area` | `const GdkRectangle*`
| The `widget` relative coordinates of the background area.
| The data is owned by the caller of the function.
`callback` | `GtkCellAllocCallback`
| The `GtkCellAllocCallback` to call.
`callback_data` | `gpointer`
| User provided data pointer.